<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse knowledgebase
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse Knowledgebase");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Knowledgebase - browse articles");

if ($pf == "update_a") {
	zero::UpdateArticles($orders, $category_articles);
	zero::Redirect("knowledgebase_browse.php?cat_id={$cat_id}");
}
elseif ($pf == "update_c") {
	zero::UpdateCategories($orders, $category_parents);
	zero::Redirect("knowledgebase_browse.php?cat_id={$cat_id}");
}
elseif ($pf == "jump") {
	$cat_id = $category_jump;
}
elseif ($pf == "delete_a") {
	if (isset($knowledge_ref) && isset($cat_id)) {
		if (!zero::DeleteArticle($knowledge_ref)) {
		  $errors[] = "You have no right to delete this article";
		  EndScript();
		}
	  zero::Redirect("knowledgebase_browse.php?cat_id={$cat_id}");
	}
}
elseif ($pf == "delete_c") {
	if (isset($parent) && isset($cat_id)) {
		if (!zero::DeleteArticleCategory($cat_id)){
		  $errors[] = "You have no right to delete the article's category";
		  EndScript();
		}
  	zero::Redirect("knowledgebase_browse.php?cat_id={$parent}");
	}
}
elseif ($pf == "toggle") {
  if (isset($knowledge_ref) && isset($cat_id)) {
		zero::ToggleDisabledArticle($knowledge_ref);
		zero::Redirect("knowledgebase_browse.php?cat_id={$cat_id}");
  }
}
elseif ($pf == "confirm")
  GetConfirmation($cat_id);

ShowData();
$smarty_tpl->assign("page_sub_title", "- Browse Articles (tree)");
zero::DisplayStaff("knowledgebase_browse.tpl");

function ShowData() {
	global $smarty_tpl, $category_options, $cat_id;

	$smarty_tpl->assign("articles", zero::GetArticles($cat_id));
	$smarty_tpl->assign("sub_categories", zero::GetSubCategories($cat_id));
	$smarty_tpl->assign("category_link", zero::GetCategoryLink($cat_id));
	$category_options = zero::GetCategoryOptions();
	$smarty_tpl->assign("category_article_options", $category_options);
	$smarty_tpl->assign("category_parent_options", $category_options);
	$smarty_tpl->assign("category_jump_options", $category_options);
	$smarty_tpl->assign("cat_id", $cat_id?$cat_id:0);
}
function EndScript() {
	global $smarty_tpl, $errors, $cat_id;

	$smarty_tpl->assign("errors", $errors);
	ShowData();
	zero::DisplayStaff("knowledgebase_browse.tpl");
	exit;
}

function GetConfirmation($cat_id) {
	global $smarty_tpl;

	$smarty_tpl->assign("subframe", 1);
	$smarty_tpl->assign("subframe_title", "Knowledgebase - category has been created");

	$category = zero::GetArticleCategory($cat_id);
	if (!$category)
		zero::Redirect("knowledgebase_browse.php");
	if (time() - $category['date_created'] > 300)
	  zero::Redirect("knowledgebase_browse.php");
	$smarty_tpl->assign("category", $category);
	$smarty_tpl->assign("confirmation", "category_created");
  $smarty_tpl->assign("page_sub_title", "- Browse Articles (tree)");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
